# Tableau

Euno integrates with Tableau, ingesting its metadata to enhance data observability and support proactive measures such as shift-left practices. By providing valuable insights into the data structure and usage patterns within your Tableau environment, Euno enables more informed decision-making and efficient data management.

Euno's Tableau integration supports auto-discovery of the following Tableau resources and sub-resources:

* Tableau workbook
* Tableau data sources
  * Published data source
  * Embedded data source
* Tableau Custom SQL
* Tableau Views
* Tableau Dashboards
* Tableau Fields
  * Measures
  * Dimensions
* Tables
* Users

## Tableau Requirements

To ingest metadata from Tableau, you will need:

1. **Tableau Server Version 2021.1.10 and newer.**
2. **Tableau Metadata API** (if already enabled please skip to 3):
   1. Ensure the Tableau Metadata API is enabled.
   2. This is enabled by default on Tableau Cloud.
   3. For Tableau Server, follow [this guide ](https://help.tableau.com/current/api/metadata_api/en-us/docs/meta_api_start.html#enable-the-tableau-metadata-api-for-tableau-server)by Tableau.
3. **Tableau Credentials:** Euno authenticates as a Tableau individual user. The Euno user would require a [Personal Access Token](https://help.tableau.com/current/server/en-us/security_personal_access_tokens.htm) with the [Site Administrator Explorer](https://help.tableau.com/current/server/en-us/users_site_roles.htm#general-capabilities-allowed-with-each-site-role) role or higher - an already existing user with same or higher permissions can be used.

## Setting up Euno's Tableau Integration

### Stage 1: Create Tableau Personal Access Token

In Tableau, generate a new personal access token with a [Personal Access Token](https://help.tableau.com/current/server/en-us/security_personal_access_tokens.htm) (PAT) with the [Site Administrator Explorer](https://help.tableau.com/current/server/en-us/users_site_roles.htm#general-capabilities-allowed-with-each-site-role). Once the token has been created, copy the secret.

####

### Stage 2: Configure New Tableau Source in Euno

#### Step 1: Access the Sources Page

1. Open the **Sources** page.
2. Select Add New Source and choose **Tableau** from the available options.

#### Step 2: General Configuration

<table><thead><tr><th width="209">Configuration</th><th>Description</th></tr></thead><tbody><tr><td>Name*</td><td>Enter a name for your Tableau source (e.g., "Tableau - Financial Reports").</td></tr><tr><td>Connection URL*</td><td>Provide the Tableau server URL</td></tr><tr><td>Site*</td><td>Specify the Tableau site name</td></tr><tr><td>Token Name*</td><td>Enter the name of your Tableau access token.</td></tr><tr><td>Token Value*</td><td>Input the secret value of your token.</td></tr></tbody></table>

#### Step 3: Scheduling Updates

1. Enable the Schedule option.
2. Choose:
   1. **Weekly**: Set specific days and times.
   2. **Hourly**: Define the interval in hours (e.g., every 8 hours).

#### Step 4: Resource Cleanup

To keep your data relevant and free of outdated resources, Euno provides automatic **resource cleanup** options. These settings determine when a resource should be removed if it is no longer detected by a source integration. For a detailed explanation on Euno's cleanup strategies, see: [Resource Sponsorship in Euno](/developer-reference/technical-concepts/resource-sponsorship-and-cleanup-in-euno.md).

* **Immediate Cleanup**: Remove resources not detected in the most recent successful source integration run.
* **No Cleanup**: Keep all resources indefinitely, even if they are no longer detected.

#### Step 5: Advanced Settings (Optional)

Click on the '**Advanced**' section to display these additional configurations.

| Configuration           | Description                                                                                                                                                              |
| ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Override URL for Link   | Add a custom URL if required.                                                                                                                                            |
| Skip SSL Verification   | Enable this option to skip SSL checks                                                                                                                                    |
| Observe Tableau Pulse   | Check this to have Euno observe Tableau Pulse Metrics and Metrics Definitions                                                                                            |
| Observe Impression data | Check this to have Euno observe impressions data for Tableau. See [this link](/sources/business-intelligence/tableau-integration/tableau-cloud-impression-data-setup.md) |
| Project pattern         | Use a regular expression to allow or exclude specific projects, for example, ".\*" will include/exclude all projects.                                                    |

#### Step 6: Save Configuration

Click the **Save** button to complete the setup.

## What's next

It is recommended to setup observing Tableau Impression data. Follow this guide [tableau-cloud-impression-data-setup.md](/sources/business-intelligence/tableau-integration/tableau-cloud-impression-data-setup.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.euno.ai/sources/business-intelligence/tableau-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
